﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            @*<a class="action" ui-sref="ProgramsReview({seasonDomain: MC.stateParams.seasonDomain})">
                    <i class="icon-arrow-left fg-black"></i>
                </a>*@
            <a class="action" ng-click="goBack()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Order Details
            </h1>
        </div>
        <div class="actions">
            @*<a jb-tooltip class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="Cancel/Refund" ui-sref='CancelOrder({seasonDomain: seasonName,orderId:Model.Id})'>
                <i style="margin-top: 11px;" class="jbi-fully-refund fg-black"></i>
            </a>*@
            <a jb-tooltip class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="History" ui-sref='OrderHistory({seasonDomain: MC.stateParams.seasonDomain,orderId:Model.Id })'>
                <i style="margin-top: 11px;" class="icon-history fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <h2 class="place-left one-half">{{Model.UserName}}</h2>
    <div class="place-left one-half text-right">
        <h2 class="">
            {{Model.OrderDate }}
        </h2>
        <h2 class="place-right fg-green" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Completed">{{Model.ConfirmationId}} ({{Model.OrderMode}})</h2>
    </div>
    <div class="clearfix"></div>
    <hr />
    <h3>Order Items</h3>
    <table class="table">
        <thead>
            <tr>
                <th class="text-left">Participant</th>
                <th class="text-left">Program</th>
                <th class="text-left">Amount</th>

            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="item in Model.OrderItems">
                <td>
                    <a class="button link" ng-click="showDetail(item.Id)">{{item.FullName}}</a>
                    <span ng-switch on="item.ItemStatusReason">
                        <i ng-switch-when="transferIn" class="grid-label label info">Transferred In</i>
                        <i ng-switch-when="transferOut" class="grid-label label bg-red  fg-white">Transferred Out</i>
                        <i ng-switch-when="canceled" class="grid-label label warning">Canceled</i>
                        <i ng-switch-when="refund" class="grid-label label bg-red fg-white">Refund</i>
                    </span>
                </td>
                <td>
                    {{item.Name}} 
                </td>
                <td>{{(item.TotalAmount).formatCurrencyWithPenny(2)}}</td>

            </tr>
            <tr class="bg-grayLighter">
                <td colspan="2">Total</td>
                <td>{{(Model.OrderAmount).formatCurrencyWithPenny(2)}}</td>
            </tr>
            <tr class="bg-grayLighter">
                <td colspan="2">Paid amount</td>
                <td>{{(Model.PaidAmount).formatCurrencyWithPenny(2)}}</td>
            </tr>
        </tbody>
    </table>
</div>